Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bsh
Interface ParserTreeConstants

All Known Implementing Classes:
  Parser

public interface ParserTreeConstants

Field Summary
`static int` | `JJTALLOCATIONEXPRESSION`
`static int` | `JJTAMBIGUOUSNAME`
`static int` | `JJTARGUMENTS`
`static int` | `JJTARRAYDIMENSIONS`
`static int` | `JJTARRAYINITIALIZER`
`static int` | `JJTASSIGNMENT`
`static int` | `JJTBINARYEXPRESSION`
`static int` | `JJTBLOCK`
`static int` | `JJTCASTEXPRESSION`
`static int` | `JJTCLASSDECLARATION`
`static int` | `JJTENHANCEDFORSTATEMENT`
`static int` | `JJTFORMALCOMMENT`
`static int` | `JJTFORMALPARAMETER`
`static int` | `JJTFORMALPARAMETERS`
`static int` | `JJTFORSTATEMENT`
`static int` | `JJTIFSTATEMENT`
`static int` | `JJTIMPORTDECLARATION`
`static int` | `JJTLITERAL`
`static int` | `JJTMETHODDECLARATION`
`static int` | `JJTMETHODINVOCATION`
`static java.lang.String[]` | `jjtNodeName`
`static int` | `JJTPACKAGEDECLARATION`
`static int` | `JJTPRIMARYEXPRESSION`
`static int` | `JJTPRIMARYSUFFIX`
`static int` | `JJTPRIMITIVETYPE`
`static int` | `JJTRETURNSTATEMENT`
`static int` | `JJTRETURNTYPE`
`static int` | `JJTSTATEMENTEXPRESSIONLIST`
`static int` | `JJTSWITCHLABEL`
`static int` | `JJTSWITCHSTATEMENT`
`static int` | `JJTTERNARYEXPRESSION`
`static int` | `JJTTHROWSTATEMENT`
`static int` | `JJTTRYSTATEMENT`
`static int` | `JJTTYPE`
`static int` | `JJTTYPEDVARIABLEDECLARATION`
`static int` | `JJTUNARYEXPRESSION`
`static int` | `JJTVARIABLEDECLARATOR`
`static int` | `JJTVOID`
`static int` | `JJTWHILESTATEMENT`

Field Detail

### JJTVOID

    public static final int JJTVOID

See Also:
  Constant Field Values

### JJTCLASSDECLARATION

    public static final int JJTCLASSDECLARATION

See Also:
  Constant Field Values

### JJTMETHODDECLARATION

    public static final int JJTMETHODDECLARATION

See Also:
  Constant Field Values

### JJTPACKAGEDECLARATION

    public static final int JJTPACKAGEDECLARATION

See Also:
  Constant Field Values

### JJTIMPORTDECLARATION

    public static final int JJTIMPORTDECLARATION

See Also:
  Constant Field Values

### JJTVARIABLEDECLARATOR

    public static final int JJTVARIABLEDECLARATOR

See Also:
  Constant Field Values

### JJTARRAYINITIALIZER

    public static final int JJTARRAYINITIALIZER

See Also:
  Constant Field Values

### JJTFORMALPARAMETERS

    public static final int JJTFORMALPARAMETERS

See Also:
  Constant Field Values

### JJTFORMALPARAMETER

    public static final int JJTFORMALPARAMETER

See Also:
  Constant Field Values

### JJTTYPE

    public static final int JJTTYPE

See Also:
  Constant Field Values

### JJTRETURNTYPE

    public static final int JJTRETURNTYPE

See Also:
  Constant Field Values

### JJTPRIMITIVETYPE

    public static final int JJTPRIMITIVETYPE

See Also:
  Constant Field Values

### JJTAMBIGUOUSNAME

    public static final int JJTAMBIGUOUSNAME

See Also:
  Constant Field Values

### JJTASSIGNMENT

    public static final int JJTASSIGNMENT

See Also:
  Constant Field Values

### JJTTERNARYEXPRESSION

    public static final int JJTTERNARYEXPRESSION

See Also:
  Constant Field Values

### JJTBINARYEXPRESSION

    public static final int JJTBINARYEXPRESSION

See Also:
  Constant Field Values

### JJTUNARYEXPRESSION

    public static final int JJTUNARYEXPRESSION

See Also:
  Constant Field Values

### JJTCASTEXPRESSION

    public static final int JJTCASTEXPRESSION

See Also:
  Constant Field Values

### JJTPRIMARYEXPRESSION

    public static final int JJTPRIMARYEXPRESSION

See Also:
  Constant Field Values

### JJTMETHODINVOCATION

    public static final int JJTMETHODINVOCATION

See Also:
  Constant Field Values

### JJTPRIMARYSUFFIX

    public static final int JJTPRIMARYSUFFIX

See Also:
  Constant Field Values

### JJTLITERAL

    public static final int JJTLITERAL

See Also:
  Constant Field Values

### JJTARGUMENTS

    public static final int JJTARGUMENTS

See Also:
  Constant Field Values

### JJTALLOCATIONEXPRESSION

    public static final int JJTALLOCATIONEXPRESSION

See Also:
  Constant Field Values

### JJTARRAYDIMENSIONS

    public static final int JJTARRAYDIMENSIONS

See Also:
  Constant Field Values

### JJTBLOCK

    public static final int JJTBLOCK

See Also:
  Constant Field Values

### JJTFORMALCOMMENT

    public static final int JJTFORMALCOMMENT

See Also:
  Constant Field Values

### JJTSWITCHSTATEMENT

    public static final int JJTSWITCHSTATEMENT

See Also:
  Constant Field Values

### JJTSWITCHLABEL

    public static final int JJTSWITCHLABEL

See Also:
  Constant Field Values

### JJTIFSTATEMENT

    public static final int JJTIFSTATEMENT

See Also:
  Constant Field Values

### JJTWHILESTATEMENT

    public static final int JJTWHILESTATEMENT

See Also:
  Constant Field Values

### JJTFORSTATEMENT

    public static final int JJTFORSTATEMENT

See Also:
  Constant Field Values

### JJTENHANCEDFORSTATEMENT

    public static final int JJTENHANCEDFORSTATEMENT

See Also:
  Constant Field Values

### JJTTYPEDVARIABLEDECLARATION

    public static final int JJTTYPEDVARIABLEDECLARATION

See Also:
  Constant Field Values

### JJTSTATEMENTEXPRESSIONLIST

    public static final int JJTSTATEMENTEXPRESSIONLIST

See Also:
  Constant Field Values

### JJTRETURNSTATEMENT

    public static final int JJTRETURNSTATEMENT

See Also:
  Constant Field Values

### JJTTHROWSTATEMENT

    public static final int JJTTHROWSTATEMENT

See Also:
  Constant Field Values

### JJTTRYSTATEMENT

    public static final int JJTTRYSTATEMENT

See Also:
  Constant Field Values

### jjtNodeName

    public static final java.lang.String[] jjtNodeName

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD